Capture exit code in or statement

This permits the script (which is using -e) to press on past the errors
in builds.

Change-Id: Ie2206e8d05c7b027b3fcd45bf4b57441e5dec933
diff --git a/build.sh b/build.sh
index 257ff43..d6bc171 100755
--- a/build.sh
+++ b/build.sh
@@ -54,8 +54,7 @@
     cd gerrit
     git checkout $release
     buck build all &> gerrit_$release.log
-)
-code=$?
+) || code=$?
 if [ $code -ne 0 ]
 then
     echo "gerrit failed to build with exit code $code" 1>&2
@@ -69,8 +68,7 @@
 (
     cd gerrit
     buck build api_install &> gerrit_api_$release.log
-)
-code=$?
+) || code=$?
 if [ $code -ne 0 ]
 then
     echo "api failed to build with exit code $code" 1>&2
@@ -91,8 +89,7 @@
     (
       cd gerrit
       buck build plugins/$p:$p &> $p_$release.log
-    )
-    code=$?
+    ) || code=$?
     if [ $code -ne 0 ]
     then
         echo "plugin $p failed to build with exit code $code" 1>&2